sampler spl = sampler_state
{
    texture = NULL;
};

///////////////////////////////////////////////////////////
// Pixel Shader
// Forces blank pixel when Alpha is 1
///////////////////////////////////////////////////////////

float4 SimplePS(float2 texUV : TEXCOORD0) : COLOR
{   
	float4 txColor;
	txColor = tex2D(spl, texUV);
	if (txColor.a == 1) txColor = float4(1,1,1,1);
	return txColor;
}    

///////////////////////////////////////////////////////////
// Technique used for punched entities
technique PunchedEntity
{
    pass p0
    {                
        PixelShader = compile ps_2_0 SimplePS();
    }
}